-- adding mt_oldthok if it's not presented by any other addon

if attempted then return end

if not pcall(function() return mobjinfo[MT_OLDTHOK] == nil end) then
   freeslot("MT_OLDTHOK", "S_OLDTHOK")
   mobjinfo[MT_OLDTHOK] = {
      doomednum = -1,
      spawnstate = S_OLDTHOK,
      spawnhealth = 1,
      radius = 32*FRACUNIT,
      height = 64*FRACUNIT,
      flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOGRAVITY|MF_SCENERY,
   }
   states[S_OLDTHOK] = {
      sprite = THOK,
      frame = B|TR_TRANS60,
      tics = 8,
   }
end
addHook("SpinSpecial", function(p)
   if p.pflags & PF_STARTDASH and p.charability2 == CA2_SPINDASH then
      p.charflags = p.charflags | SF_NOSPINDASHDUST
	  
      p.spinitem = MT_OLDTHOK
      p.revitem = MT_OLDTHOK
      p.thokitem = MT_OLDTHOK
	  
      if not P_IsObjectOnGround(p.mo) then return end
      p.mo.state = S_PLAY_ROLL
      if (leveltime % 5 == 0) then
         S_StartSound(p.mo, sfx_spndsh)
      end
   end
end)
